curl --request GET \
--url https://app.tagadapay.com/api/public/v1/funnel-sessions/{sessionId} \
--header 'Authorization: Bearer <token>'{
"sessionId": "fs_1764781932885_wfq80b40t",
"customerId": "cus_3ab2870ee5ef",
"storeId": "store_b584f5f297ea",
"funnelId": "funnelv2_5f2af28be16f",
"currentStepId": "step_1764775894672",
"furthestStepId": "step_1764775935523",
"environment": "staging",
"startedAt": 1764781932885,
"lastActivityAt": 1764786064975,
"originalCustomerId": "cus_67cbdd4451c8",
"customerHistory": [
{
"fromCustomerId": "cus_67cbdd4451c8",
"toCustomerId": "cus_b45f5dd85149",
"reason": "login",
"timestamp": 1764781949472
}
],
"metadata": {
"startedAt": "2025-12-03T17:12:12.885Z",
"totalStepsVisited": 1,
"cmsSessionId": "cms_session_4ffca365600b",
"accountId": "acc_4ff19578aaa2",
"isPreview": true
},
"resources": {
"customer": {
"id": "cus_3ab2870ee5ef"
}
}
}Retrieve full funnel session data from KV storage including customer history, resources, and metadata. Useful for debugging funnel flows.
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/funnel-sessions/{sessionId} \
--header 'Authorization: Bearer <token>'{
"sessionId": "fs_1764781932885_wfq80b40t",
"customerId": "cus_3ab2870ee5ef",
"storeId": "store_b584f5f297ea",
"funnelId": "funnelv2_5f2af28be16f",
"currentStepId": "step_1764775894672",
"furthestStepId": "step_1764775935523",
"environment": "staging",
"startedAt": 1764781932885,
"lastActivityAt": 1764786064975,
"originalCustomerId": "cus_67cbdd4451c8",
"customerHistory": [
{
"fromCustomerId": "cus_67cbdd4451c8",
"toCustomerId": "cus_b45f5dd85149",
"reason": "login",
"timestamp": 1764781949472
}
],
"metadata": {
"startedAt": "2025-12-03T17:12:12.885Z",
"totalStepsVisited": 1,
"cmsSessionId": "cms_session_4ffca365600b",
"accountId": "acc_4ff19578aaa2",
"isPreview": true
},
"resources": {
"customer": {
"id": "cus_3ab2870ee5ef"
}
}
}